Bug 1255783 - Server should enable writeSkew for some configurations by default
Server should enable writeSkew for some configurations by default
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Server (Show other bugs)
6.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ER1
: 6.6.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 1254277 1259355
  Show dependency treegraph
 
Reported: 2015-08-21 10:32 EDT by Shay Matasaro
Modified: 2018-02-07 19:24 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The server configuration did not allow users to specify write skew check option. This behavior could lead to inconsistencies on failure scenarios when using conditional operations with optimistic locking caches. This issue is resolved as of Red Hat JBoss Data Grid 6.5.1, where write skew check is automatically enabled when using a combination of optimistic locking, synchronous cache mode, and <literal>REPEATABLE_READ</literal> isolation level.
Story Points: ---
Clone Of:
: 1259355 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5691 Major Resolved Server should enable writeSkew for some configurations by default 2016-09-26 05:18 EDT

  None (edit)
Description Shay Matasaro 2015-08-21 10:32:39 EDT
By default, optimistic locking caches do not enable write skew. This was already spotted in ISPN-3655.

In an embedded environment, the user can always enable write skew in its configuration, but this cannot be enabled in server mode.

Widlfly does enable write skew programmatically depending on the configuration:

    > hey, quick q: can you configure writeSkew on infinispan wildfly
    config?
    <pferraro> we always enable write skew for synchronous, optimistic,
    repeatable-read caches, and disable otherwise
    > pferraro: ah, you do it in the integration code?
    <pferraro> yes

We need to be doing the same in server configuration, otherwise we run the risk of having issues with conditional operations under failure situations (see ISPN-2956)
Comment 2 JBoss JIRA Server 2015-08-21 15:27:07 EDT
Tristan Tarrant <ttarrant@redhat.com> updated the status of jira ISPN-5691 to Coding In Progress
Comment 3 JBoss JIRA Server 2015-08-21 15:27:12 EDT
Tristan Tarrant <ttarrant@redhat.com> updated the status of jira ISPN-5691 to Open

Note You need to log in before you can comment on or make changes to this bug.